<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\MAN\Services\ExportarLojaService;
use Teknisa\MAN\Utilities;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;

class ExportarLoja  {
    protected $exportaService;
    protected $utilService;
    
    public function __construct (ExportarLojaService $exportaService, Utilities\Util $utilService ){
        $this->utilService = $utilService;
        $this->exportarLoja = $exportaService;
    }
    
   public function exportar(DTO\Request\DataSet $request, DTO\Response $response) {
        $this->dataSourceName = 'vnd80600_configterminalcaixa_exportar';
        $data = $request->getDataSet()->getRows();
        try {
            $this->exportarLoja->exportar($data[0]);
	        $response->addDataSet(new DataSet ('vnd80600_configterminalcaixa_exportar', array(true)));
        } catch(\Exception $e) {
            $response->setError( new \Zeedhi\Framework\DTO\Response\Error ("Um erro ocorreu : " . $e, 500) );    
        }
    }
}